> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Definir encaminhamento como ativo

> Pausa ou retoma uma regra de encaminhamento de cliente.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.pt-br.json PATCH /v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/forwarding/{forwarding_id}/active:
    patch:
      tags:
        - public-accounts
        - public-forwarding
      summary: Definir encaminhamento como ativo
      description: Pausa ou retoma uma regra de encaminhamento de cliente.
      operationId: >-
        set_public_forwarding_active_v1_public_accounts__account_id__forwarding__forwarding_id__active_patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: forwarding_id
          required: true
          schema:
            format: uuid
            title: Forwarding Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ForwardingSetActiveRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForwardingDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
      security:
        - PublicBearerAuth: []
components:
  schemas:
    ForwardingSetActiveRequest:
      description: Requisição para pausar ou retomar encaminhamento.
      properties:
        active:
          description: Se o encaminhamento deve estar ativo
          title: ativos
          type: boolean
      required:
        - active
      title: ForwardingSetActiveRequest
      type: object
    ForwardingDTO:
      properties:
        active:
          description: Se o encaminhamento está ativo
          title: ativos
          type: boolean
        created_at:
          description: Carimbo de data e hora de criação da regra de encaminhamento
          title: Criado em
          type: string
        id:
          description: Regra de encaminhamento UUID
          format: uuid
          title: ID
          type: string
        scope_id:
          description: Recurso UUID para o escopo de encaminhamento
          format: uuid
          title: Id do escopo
          type: string
        scope_type:
          description: Tipo de escopo de recurso para a regra de encaminhamento
          enum:
            - account
            - workspace
            - domain
          title: Tipo do escopo
          type: string
        target_email:
          description: Endereço de e-mail de destino de encaminhamento
          title: E-mail de destino
          type: string
        updated_at:
          description: >-
            Carimbo de data e hora da última atualização da regra de
            encaminhamento
          title: Atualizado em
          type: string
        verification_expires_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Carimbo de data e hora de expiração da verificação
          title: verificação expira em
        verification_required:
          description: Se a verificação do destinatário é necessária
          title: verificação obrigatório
          type: boolean
        verification_sent_at:
          anyOf:
            - type: string
            - type: 'null'
          description: E-mail de verificação enviado com data e hora
          title: verificação enviado em
        verification_state:
          description: Estado de verificação do destinatário
          enum:
            - internal
            - pending
            - verified
            - expired
          title: verificação estado
          type: string
        verification_verified_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Carimbo de data e hora de conclusão da verificação
          title: verificação verificado em
      required:
        - id
        - target_email
        - scope_type
        - scope_id
        - active
        - verification_state
        - verification_required
        - created_at
        - updated_at
      title: ForwardingDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detalhe
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Localização
          type: array
        msg:
          title: Mensagem
          type: string
        type:
          title: Tipo de erro
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````